commit: 66feb21c2d35e00ddc09dcc6276283652c5747e3
Author: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 25 02:28:26 2025 +0000
Commit: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Wed Jun 25 02:40:50 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=66feb21c
virtual/perl-File-Path: add 5.42 as provider
Signed-off-by: Andreas K. Hüttel <dilfridge <AT> gentoo.org>
...l-File-Path-2.180.0-r3.ebuild => perl-File-Path-2.180.0-r4.ebuild} | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/virtual/perl-File-Path/perl-File-Path-2.180.0-r3.ebuild
b/virtual/perl-File-Path/perl-File-Path-2.180.0-r4.ebuild
similarity index 73%
rename from virtual/perl-File-Path/perl-File-Path-2.180.0-r3.ebuild
rename to virtual/perl-File-Path/perl-File-Path-2.180.0-r4.ebuild
index 62ce4eb5f217..5afa7a56fa97 100644
--- a/virtual/perl-File-Path/perl-File-Path-2.180.0-r3.ebuild
+++ b/virtual/perl-File-Path/perl-File-Path-2.180.0-r4.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -8,7 +8,7 @@ SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~loong ~m68k ~mips ppc ppc64 ~riscv
~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos
~x64-solaris"
RDEPEND="
- || ( =dev-lang/perl-5.40* =dev-lang/perl-5.38*
~perl-core/${PN#perl-}-${PV} )
+ || ( =dev-lang/perl-5.42* =dev-lang/perl-5.40* =dev-lang/perl-5.38*
~perl-core/${PN#perl-}-${PV} )
dev-lang/perl:=
!<perl-core/${PN#perl-}-${PV}
!>perl-core/${PN#perl-}-${PV}-r999